### Method

# Gimp VectorLayer get_fill_pattern

since: 3.2

#### Declaration [src]

    GimpPattern*
    gimp_vector_layer_get_fill_pattern (
      GimpVectorLayer* layer
    )

#### Description [src]

Get the pattern of the fill in a vector layer.

This procedure returns the pattern of the fill in a vector layer.

Note that there won’t be both a fill color and pattern, so either this procedure or `gimp_vector_layer_get_fill_color()` will return `NULL` at any given time.

Available since: 3.2

#### Return value

Type: `GimpPattern`

The pattern of the fill.

The returned data is owned by the instance.